Bug 220055 - Edge case situation where jbossas fails to start
Summary: Edge case situation where jbossas fails to start
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Web Application Stack
Classification: Retired
Component: jbossas   
(Show other bugs)
Version: v1.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: Len DiMaggio
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-18 18:16 UTC by Len DiMaggio
Modified: 2007-04-18 17:55 UTC (History)
0 users

Fixed In Version: RHEA-2007-0084
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 18:29:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0084 normal SHIPPED_LIVE Red Hat Application Stack v1.1 update 2007-02-19 22:29:02 UTC

Description Len DiMaggio 2006-12-18 18:16:15 UTC
Description of problem:

Small edge case that might deserve a knowledgebase entry.

If the JBoss AS is run as root - via run.sh or jbossas-run - before the jbossas
service is ever run, then the server.log and boot.log files will be owned by
root. If the jbossas service is subsequently run, the startup will fail with an
error of: 

jbossas startup has timed out, process still running

The correct error cause (permission failure on server.log) is written to the
console log. 

Version-Release number of selected component (if applicable):
StacksV1.1

How reproducible:
100%

Steps to Reproduce:
1. After install, start up jbossas as root, then stop
2. Then attempt to start jbossas service
  
Actual results:
Error "jbossas startup has timed out, process still running" is written to
stdout. Actual file permission error is written to console log.

Expected results:


Additional info:

Comment 1 Len DiMaggio 2006-12-21 03:47:56 UTC
Change in direction - instead of KB article - needs a change to the startup script to report an error 
if its logs cannot be written.

Comment 2 Permaine Cheung 2007-01-08 20:22:10 UTC
The init script has been updated with a check to see if server.log is writable
before starting the server. The fix will be in the next respin.

Comment 3 Benjamin Kahn 2007-01-09 19:12:22 UTC
Fixed for the next respin.

Comment 4 Len DiMaggio 2007-01-11 19:07:35 UTC
In StacksV1-re20070110.0 (jbossas-4.0.5-1.el4s1.4) - the user sees this:

[root@cheddar all]# service jbossas start
Starting jbossas:                                          [FAILED]
Logfile /var/log/jbossas/all/server.log exists but not writable by jboss.


Comment 6 Red Hat Bugzilla 2007-02-19 18:29:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0084.html



Note You need to log in before you can comment on or make changes to this bug.